| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::gapi::wip::draw::Circle Struct Reference
G-API Drawing and composition functionality » Drawing primitives

This structure represents a circle to draw. More...

`#include <opencv2/gapi/render/render.hpp>`

## Public Member Functions
| Circle (const cv::Point &center_, int radius_, const cv::Scalar &color_, int thick_=1, int lt_=cv::LINE_8, int shift_=0)
| Circle constructor. More...

## Public Attributes
cv::Point | center
| The center of the circle. More...
int | radius
| The radius of the circle. More...
cv::Scalar | color
| The color of the circle. More...
int | thick
| The thickness of the circle outline, if positive. Negative values, like FILLED, mean that a filled circle is to be drawn. More...
int | lt
| The Type of the circle boundary. See LineTypes. More...
int | shift
| The Number of fractional bits in the coordinates of the center and in the radius value. More...

## Detailed Description

This structure represents a circle to draw.

Parameters match cv::circle().

## Constructor & Destructor Documentation

## ◆ Circle()

cv::gapi::wip::draw::Circle::Circle | ( | const cv::Point & | center_,
|  | int | radius_,
|  | const cv::Scalar & | color_,
|  | int | thick_ = `1`,
|  | int | lt_ = `cv::LINE_8`,
|  | int | shift_ = `0`
| ) |  |
| inline

Circle constructor.

Parameters

  center_ | The center of the circle
  radius_ | The radius of the circle
  color_ | The color of the circle
  thick_ | The thickness of the circle outline, if positive. Negative values, like FILLED, mean that a filled circle is to be drawn
  lt_ | The Type of the circle boundary. See LineTypes
  shift_ | The Number of fractional bits in the coordinates of the center and in the radius value

## Member Data Documentation

## ◆ center

cv::Point cv::gapi::wip::draw::Circle::center

The center of the circle.

## ◆ color

cv::Scalar cv::gapi::wip::draw::Circle::color

The color of the circle.

## ◆ lt

int cv::gapi::wip::draw::Circle::lt

The Type of the circle boundary. See LineTypes.

## ◆ radius

int cv::gapi::wip::draw::Circle::radius

The radius of the circle.

## ◆ shift

int cv::gapi::wip::draw::Circle::shift

The Number of fractional bits in the coordinates of the center and in the radius value.

## ◆ thick

int cv::gapi::wip::draw::Circle::thick

The thickness of the circle outline, if positive. Negative values, like FILLED, mean that a filled circle is to be drawn.

The documentation for this struct was generated from the following file:

- opencv2/gapi/render/render.hpp